Last Comment Bug 40260 - Subscribe dialog should support "new" newsgroups
: Subscribe dialog should support "new" newsgroups
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Message Display (show other bugs)
: Trunk
: All All
: P3 normal with 5 votes (vote)
: Future
Assigned To: Markus Hossner
:
Mentors:
http://www.mozilla.org/mailnews/specs...
Depends on: 76552 392720
Blocks: 176238 socmn
  Show dependency treegraph
 
Reported: 2000-05-23 01:42 PDT by Henrik Gemal
Modified: 2008-07-31 02:14 PDT (History)
19 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (64.49 KB, patch)
2007-08-05 16:06 PDT, Markus Hossner
neil: review+
mozilla: superreview+
Details | Diff | Splinter Review
Patch (without whitespace changes) (51.26 KB, patch)
2007-08-05 16:08 PDT, Markus Hossner
no flags Details | Diff | Splinter Review
Patch 2 (65.13 KB, patch)
2007-08-07 16:53 PDT, Markus Hossner
neil: review+
mozilla: superreview+
Details | Diff | Splinter Review

Description Henrik Gemal 2000-05-23 01:42:20 PDT
The subscribe dialog should support "new" newsgroup like both Communicator and 
Outlook Express does.
The subscribe dialog should have 3 tabs:
[ All ] [ Search ] [ New ]
Comment 1 laurel 2000-05-23 11:34:44 PDT
"New" newsgroups was decided as low priority for this release --  it is
currently listed as a P4 item on our spec, which means it is not likely to show
up in seamonkey.
Comment 2 (not reading, please use seth@sspitzer.org instead) 2000-06-05 16:58:38 PDT
laurel is right.

the "new" view isn't going to happen for this release.
Comment 3 (not reading, please use seth@sspitzer.org instead) 2000-06-05 21:28:58 PDT
moving to m30, instead of future.
Comment 4 scottputterman 2000-07-11 23:35:48 PDT
moving to future milestone.
Comment 5 laurel 2000-11-20 16:03:15 PST
mass change of huang's news bugs to stephend.
Comment 6 Ian Thomas ('thelem') 2001-01-15 06:59:28 PST
Adding 4xp keyword, since this is in Messenger 4 (verified with 4.7)
Adding [RFE] to summary
Comment 7 Henrik Gemal 2002-01-31 00:22:06 PST
*** Bug 102804 has been marked as a duplicate of this bug. ***
Comment 8 Armando Villani 2007-05-30 11:57:09 PDT
Bug 102804 was reopened. It's not a duplicate of this bug.
Comment 9 Markus Hossner 2007-08-05 16:06:06 PDT
Created attachment 275349 [details] [diff] [review]
Patch

The patch adds a new groups tab to the subscribe dialog and does some really needed cleanup (whitespaces, ...) to insert the changes properly in the surrounding code.
Comment 10 Markus Hossner 2007-08-05 16:08:04 PDT
Created attachment 275352 [details] [diff] [review]
Patch (without whitespace changes)

The same patch but without the whitespace changes to see the really changes.
Comment 11 David :Bienvenu 2007-08-06 12:56:42 PDT
neat! I'll try to run with this when I can.
Comment 12 neil@parkwaycc.co.uk 2007-08-07 13:08:29 PDT
Comment on attachment 275349 [details] [diff] [review]
Patch

Although this "works" I found it really awkward to use - it did show me some "new" groups once but then never again. Assuming you have to do a refresh to find new groups then I suggest a button "Find New" (which would change to "Show All") as it would be clearer that this does something other than just switch views. (Even if you can somehow display only new groups without refreshing every time then I think I would still prefer a checkbox.)
Comment 13 David :Bienvenu 2007-08-07 13:17:52 PDT
Comment on attachment 275349 [details] [diff] [review]
Patch

thx for adding the license blocks, and thx for the patch.
Comment 14 Karsten Düsterloh 2007-08-07 15:48:22 PDT
Comment on attachment 275349 [details] [diff] [review]
Patch

Markus and I found some issues with the hostinfo.dat update behaviour in this patch. So, please, everyone, don't check that in! We're on it...
Comment 15 Markus Hossner 2007-08-07 16:53:32 PDT
Created attachment 275697 [details] [diff] [review]
Patch 2

What Neil has discovered (see comment #12) was a bug and not a feature. New groups should be displayed until a new refresh of the current list is made.

To do so now the hostinfo.dat (with the current date) is only written if there is a complete new downloaded list:

+  if (!mGetOnlyNew && !mHostInfoLoaded)
+  {
+    rv = WriteHostInfoFile();
+    NS_ENSURE_SUCCESS(rv,rv);
+  }
Comment 16 neil@parkwaycc.co.uk 2007-08-09 04:08:13 PDT
Comment on attachment 275697 [details] [diff] [review]
Patch 2

I still don't like the UI for this though.
Comment 17 Karsten Düsterloh 2007-08-17 15:15:28 PDT
Landed on trunk.
Comment 18 u60234 2007-08-17 23:52:27 PDT
Can we please get an l10n comment for
<!ENTITY currentListTab.accesskey     "L">

It may not be immediately obvious to a localizer that the chosen letter here must match two different strings in another file.
Comment 19 Karsten Düsterloh 2007-08-18 06:26:13 PDT
Actually, that's a bug. Hasse, please file a new bug for that, blocking this one.
Comment 20 Joe Sabash [:JoeS1] 2007-08-18 09:00:54 PDT
Thanks much for this "feature" seems to work fine in:
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a8pre) Gecko/2007081804 Thunderbird/3.0a1pre ID:2007081804
One thing though, what ever happened to the message count column in the subscribe dialog. The only way you can see "activity" for a newsgroup is to subscrbe to it.
Or am I missing a hidden pref.
Comment 21 Karsten Düsterloh 2007-08-18 11:30:15 PDT
> One thing though, what ever happened to the message count column in the
> subscribe dialog.

It has never been implemented yet, see bug 38906.
Comment 22 Magnus Melin 2007-09-02 11:08:29 PDT
Was there a reason to make it a new tab, instead of a button (like comment #12 suggests) or similar?
Comment 23 Karsten Düsterloh 2007-09-03 00:55:47 PDT
> Was there a reason to make it a new tab, instead of a button 
> (like comment #12 suggests) or similar?

Sure: a button would just be awkward. 
And NS4 had a tab, too. ;-)

Markus and I talked about the alternatives before (tab, stateful aka radio button, checkbox) and different tabs are just more clear.
They avoid the "why don't I see any groups on my server?" problem best, imo.
Comment 24 Magnus Melin 2007-09-09 11:16:14 PDT
Maybe I'm just not getting what the "New" tab is supposed to show, but currently it seems to show all groups, just like the "Current Group List" tab. Is that intended or should it just show "newly added" groups (which would at least make some sense). This was for news.mozilla.org

Not that the whole Subscribe dialog is all that intuitive... The Subscribe/Unsubscribe buttons seem superfluous as we have the checkboxes + ok, and the Refresh button obviously doesn't fetch "new" groups from the server, so I have no idea what it actually does. 
Comment 25 Karsten Düsterloh 2007-09-26 15:57:21 PDT
> Maybe I'm just not getting what the "New" tab is supposed to show, but
> currently it seems to show all groups, just like the "Current Group List" tab.
> Is that intended or should it just show "newly added" groups (which would at
> least make some sense). This was for news.mozilla.org

The list should show all groups added since you last did a refresh of your group list. That date is stored in the "lastgroupdate" line of your server's hostinfo.dat file. 
(We probably should show that date in the UI, I'll file a new bug for that.)

Try hitting 'refresh' on the list tab, your "lastgroupdate" line may be invalid.
Comment 26 Karsten Düsterloh 2007-09-27 15:04:38 PDT
> (We probably should show that date in the UI, I'll file a new bug for that.)

That's already part of bug 339981.

Note You need to log in before you can comment on or make changes to this bug.